Bug 477277 - NetworkManager fails to maintain wireless connections with the ath5k_pci driver
NetworkManager fails to maintain wireless connections with the ath5k_pci driver
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 19:00 EST by postmodern
Modified: 2009-03-17 13:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-17 13:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description postmodern 2008-12-19 19:00:44 EST
Description of problem:
While connected to wireless networks with NetworkManager and the ath5k_pci driver, I have noticed that NetworkManager will regularly disassociate then re-associate while downloading large files (such as updating the system).

This bug does not occur when I disable NetworkManager and manually connect to a wireless network using iwconfig and dhclient.


Version-Release number of selected component (if applicable):
kernel.x86_64 2.6.27.5-117.fc10
NetworkManager.x86_64 1:0.7.0-0.12.svn4326.fc10


How reproducible:

Steps to Reproduce:
1. Connect to wireless network using NetworkManager.
2. Download large file.
3. Wait approx. two minutes for NetworkManager to lose association with the wireless AP.

Actual results:
NetworkManager will lose association then re-associate approx. every two minutes.


Expected results:
NetworkManager will stay associated with the wireless AP.

Additional info:

Excerpt from dmesg:
wlan0: associate with AP 00:1a:c4:cc:2e:29
wlan0: RX ReassocResp from 00:1a:c4:cc:2e:29 (capab=0x431 status=0 aid=3)
wlan0: associated
ath5k phy0: noise floor calibration timeout (2437MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2437 Mhz)
wlan0: failed to set freq to 2437 MHz for scan
ath5k phy0: noise floor calibration timeout (2442MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2442 Mhz)
wlan0: failed to set freq to 2442 MHz for scan
ath5k phy0: noise floor calibration timeout (2447MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2447 Mhz)
wlan0: failed to set freq to 2447 MHz for scan
ath5k phy0: noise floor calibration timeout (2442MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2442 Mhz)
wlan0: failed to restore operational channel after scan
wlan0: No ProbeResp from current AP 00:1a:c4:cc:2e:29 - assume out of range
ath5k phy0: noise floor calibration timeout (2437MHz)
ath5k phy0: noise floor calibration timeout (2442MHz)
wlan0: failed to set freq to 2442 MHz for scan
__ratelimit: 1 callbacks suppressed
ath5k phy0: noise floor calibration timeout (2447MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2447 Mhz)
wlan0: failed to set freq to 2447 MHz for scan
ath5k phy0: noise floor calibration timeout (2442MHz)
ath5k phy0: ath5k_chan_set: unable to reset channel (2442 Mhz)
wlan0: failed to restore operational channel after scan
wlan0: authenticate with AP 00:1a:c4:cc:2e:29
Comment 1 Dan Williams 2009-02-14 07:22:27 EST
Looks like a driver issue; could you try the latest 2.6.27.12 kernel to see if that helps things?
Comment 2 John W. Linville 2009-03-17 13:24:48 EDT
Closed due to lack of response.  Please reopen if/when the requested information becomes available...thanks!

Note You need to log in before you can comment on or make changes to this bug.